﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <telerik:RadStyleSheetManager ID="RadStyleSheetManager1" runat="server" />
    <style type="text/css">
        .auto-style1 {
            width: 200px;
        }
        .auto-style2 {
            width: 164px;
        }
        .auto-style3 {
            width: 195px;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
            </Scripts>
        </telerik:RadScriptManager>
        <script type="text/javascript">
            //Put your JavaScript code here.
        </script>
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        </telerik:RadAjaxManager>
        <div>
            <table class="auto-style1" width="100%">
                <col />
                <!-- List of Cultures Combo Box -->
                <col width="200" />
                <col width="60" />
                <!-- Selected CultureSelected Culture -->
                <col width="90" />
                <!-- Date Format -->
                <col width="60" />
                <!-- Decimal Separator -->
                <col width="60" />
                <!-- Thousand Separator -->
                <tr align="right">
                    <td align="left" class="auto-style3">
                        <!-- List of Cultures Combo Box -->
                        <telerik:RadLabel ID="lblComboCulture01" runat="server" Text="List of Dates and" AssociatedControlID="cmbCulture"></telerik:RadLabel>
                        <br />
                        <telerik:RadLabel ID="lblComboCulture02" runat="server" Text="Number Formats" AssociatedControlID="cmbCulture"></telerik:RadLabel>
                    </td>
                    <td align="left" class="auto-style2">
                        <!-- Selected Culture -->
                        <telerik:RadLabel ID="lblSelectedCulture01" runat="server" Text="Selected" AssociatedControlID="txtSelectedCultureNameValue"></telerik:RadLabel>
                        <br />
                        <telerik:RadLabel ID="lblSelectedCulture02" runat="server" Text="Culture:" AssociatedControlID="txtSelectedCultureNameValue"></telerik:RadLabel>
                    </td>
                    <td align="left">
                        <!-- Date Format -->
                        <telerik:RadLabel ID="lblSelectedDateFormat01" runat="server" Text="Date" AssociatedControlID="txtSelectedDateFormat"></telerik:RadLabel>
                        <br />
                        <telerik:RadLabel ID="lblSelectedDateFormat02" runat="server" Text="Format" AssociatedControlID="txtSelectedDateFormat"></telerik:RadLabel>
                    </td>
                    <td align="left">
                        <!-- Decimal Separator -->
                        <telerik:RadLabel ID="lblDecimalSeparator1" runat="server" Text="Decimal" AssociatedControlID="txtDecimalSeparator"></telerik:RadLabel>
                        <br />
                        <telerik:RadLabel ID="lblDecimalSeparator2" runat="server" Text="Char" AssociatedControlID="txtDecimalSeparator"></telerik:RadLabel>
                    </td>
                    <td align="left">
                        <!-- Thousand Separator -->
                        <telerik:RadLabel ID="lblThousandSeparator1" runat="server" Text="Thousand" AssociatedControlID="txtThousandSeparator"></telerik:RadLabel>
                        <br />
                        <telerik:RadLabel ID="lblThousandSeparator2" runat="server" Text="Char" AssociatedControlID="txtThousandSeparator"></telerik:RadLabel>
                    </td>
                </tr>
                <tr align="right">
                    <td align="left" class="auto-style3">
                        <!-- List of Cultures Combo Box -->
                        <telerik:RadComboBox ID="cmbCulture" runat="server" DropDownAutoWidth="Enabled" AutoPostBack="true" OnDataBound="cmbCulture_DataBound" OnItemDataBound="cmbCulture_ItemDataBound" OnSelectedIndexChanged="cmbCulture_SelectedIndexChanged">
                            <HeaderTemplate>
                                <table width="100%">
                                    <col width="150" />
                                    <!-- Region Name -->
                                    <col width="80" />
                                    <!-- Decimal Separator -->
                                    <col width="80" />
                                    <!-- Thousand Separator -->
                                    <col width="100" />
                                    <!-- Date Format -->
                                    <col width="80" />
                                    <!-- LCID -->
                                    <col width="60" />
                                    <!-- Culture Name -->
                                    <col width="80" />
                                    <!-- Region ISOName -->
                                    <tr>
                                        <td>
                                            <!-- Region Name -->
                                            <telerik:RadLabel ID="lblRegionNameA" runat="server" Text="Region" RenderMode="Lightweight" Skin="Bootstrap"></telerik:RadLabel>
                                            <br />
                                            <telerik:RadLabel ID="lblRegionNameB" runat="server" Text="Name" RenderMode="Lightweight" Skin="Bootstrap"></telerik:RadLabel>
                                        </td>
                                        <td>
                                            <!-- Decimal Separator -->
                                            <telerik:RadLabel ID="lblDecimalSeparatorA" runat="server" Text="Decimal" RenderMode="Lightweight" Skin="Bootstrap"></telerik:RadLabel>
                                            <br />
                                            <telerik:RadLabel ID="lblDecimalSeparatorB" runat="server" Text="Separator" RenderMode="Lightweight" Skin="Bootstrap"></telerik:RadLabel>
                                        </td>
                                        <td>
                                            <!-- Thousand Separator -->
                                            <telerik:RadLabel ID="lblThousandSeparatorA" runat="server" Text="Thousand" RenderMode="Lightweight" Skin="Bootstrap"></telerik:RadLabel>
                                            <br />
                                            <telerik:RadLabel ID="lblThousandSeparatorB" runat="server" Text="Separator" RenderMode="Lightweight" Skin="Bootstrap"></telerik:RadLabel>
                                        </td>
                                        <td>
                                            <!-- Date Format -->
                                            <telerik:RadLabel ID="lblDateFormatA" runat="server" Text="Date" RenderMode="Lightweight" Skin="Bootstrap"></telerik:RadLabel>
                                            <br />
                                            <telerik:RadLabel ID="lblDateFormatB" runat="server" Text="Format" RenderMode="Lightweight" Skin="Bootstrap"></telerik:RadLabel>
                                        </td>
                                        <td>
                                            <!-- LCID -->
                                            <br />
                                            <telerik:RadLabel ID="lblLCID" runat="server" Text="LCID" RenderMode="Lightweight" Skin="Bootstrap"></telerik:RadLabel>
                                        </td>
                                        <td>
                                            <!-- Culture Name -->
                                            <telerik:RadLabel ID="lblCultureNameA" runat="server" Text="Culture" RenderMode="Lightweight" Skin="Bootstrap"></telerik:RadLabel>
                                            <br />
                                            <telerik:RadLabel ID="lblCultureNameB" runat="server" Text="Name" RenderMode="Lightweight" Skin="Bootstrap"></telerik:RadLabel>
                                        </td>
                                        <td>
                                            <!-- Region ISOName -->
                                            <telerik:RadLabel ID="lblRegionISONameA" runat="server" Text="Region" RenderMode="Lightweight" Skin="Bootstrap"></telerik:RadLabel>
                                            <br />
                                            <telerik:RadLabel ID="lblRegionISONameB" runat="server" Text="ISOName" RenderMode="Lightweight" Skin="Bootstrap"></telerik:RadLabel>
                                        </td>
                                    </tr>
                                </table>
                            </HeaderTemplate>
                            <ItemTemplate>
                                <table width="100%">
                                    <col width="150" />
                                    <!-- Region Name -->
                                    <col width="80" />
                                    <!-- Decimal Separator -->
                                    <col width="80" />
                                    <!-- Thousand Separator -->
                                    <col width="100" />
                                    <!-- Date Format -->
                                    <col width="30" />
                                    <!-- Culture Name -->
                                    <col width="80" />
                                    <!-- LCID -->
                                    <col width="80" />
                                    <!-- Region ISOName -->
                                    <tr>
                                        <td>
                                            <!-- Region Name -->
                                            <telerik:RadLabel ID="lblComboRegionName" runat="server" Width="210px" Text='<%# DataBinder.Eval(Container.DataItem, "RegionName") %>' RenderMode="Lightweight" Skin="Bootstrap"></telerik:RadLabel>
                                        </td>
                                        <td>
                                            <!-- Decimal Separator -->
                                            <telerik:RadLabel ID="lblDecimalSeparator" runat="server" Width="50px" Text='<%# DataBinder.Eval(Container.DataItem, "DecimalSeparator") %>' RenderMode="Lightweight" Skin="Bootstrap"></telerik:RadLabel>
                                        </td>
                                        <td>
                                            <!-- Thousand Separator -->
                                            <telerik:RadLabel ID="lblThousandSeparator" runat="server" Width="50px" Text='<%# DataBinder.Eval(Container.DataItem, "ThousandSeparator") %>' RenderMode="Lightweight" Skin="Bootstrap"></telerik:RadLabel>
                                        </td>
                                        <td>
                                            <!-- Date Format -->
                                            <telerik:RadLabel ID="lblDateFormat" runat="server" Width="50px" Text='<%# DataBinder.Eval(Container.DataItem, "DateFormat") %>' RenderMode="Lightweight" Skin="Bootstrap"></telerik:RadLabel>
                                        </td>
                                        <td>
                                            <!-- Culture Name -->
                                            <telerik:RadLabel ID="lblComboCultureName" runat="server" Width="75px" Text='<%# DataBinder.Eval(Container.DataItem, "Name") %>' RenderMode="Lightweight" Skin="Bootstrap"></telerik:RadLabel>
                                        </td>
                                        <td>
                                            <!-- LCID -->
                                            <telerik:RadLabel ID="lblComboCultureLCID" runat="server" Width="50px" Text='<%# DataBinder.Eval(Container.DataItem, "LCID") %>' RenderMode="Lightweight" Skin="Bootstrap"></telerik:RadLabel>
                                        </td>
                                        <td>
                                            <!-- Region ISOName -->
                                            <telerik:RadLabel ID="lblComboRegionISOName" runat="server" Width="50px" Text='<%# DataBinder.Eval(Container.DataItem, "RegionISOName") %>' RenderMode="Lightweight" Skin="Bootstrap"></telerik:RadLabel>
                                        </td>
                                    </tr>
                                </table>
                            </ItemTemplate>
                        </telerik:RadComboBox>
                    </td>
                    <td align="left" class="auto-style2">
                        <!-- Selected CultureSelected Culture -->
                        <telerik:RadLabel ID="txtSelectedCultureNameValue" runat="server" Width="50px" Visible="true"></telerik:RadLabel>
                    </td>
                    <td align="left">
                        <!-- Date Format -->
                        <telerik:RadLabel ID="txtSelectedDateFormat" runat="server" Width="90px" Visible="true"></telerik:RadLabel>
                    </td>
                    <td align="left">
                        <!-- DecimalSeparator -->
                        &nbsp;&nbsp;&nbsp;&nbsp;
                        <telerik:RadLabel ID="txtDecimalSeparator" runat="server" Width="10px" Visible="true"></telerik:RadLabel>
                    </td>
                    <td align="left">
                        <!-- DecimalSeparator -->
                        &nbsp;&nbsp;&nbsp;&nbsp;
                        <telerik:RadLabel ID="txtThousandSeparator" runat="server" Width="10px" Visible="true"></telerik:RadLabel>
                    </td>
                </tr>
            </table>
            <telerik:RadLabel ID="lblDeliveryFieldText" runat="server" Text="Required Delivery Date" Width="75%" RenderMode="Lightweight" MarkDisplayMode="Required"></telerik:RadLabel>&nbsp;
            <br />
            <telerik:RadDatePicker ID="txtRequiredDeliveryDate" runat="server" OnSelectedDateChanged="txtRequiredDeliveryDate_SelectedDateChanged" ShowPopupOnFocus="true" AutoPostBack="true">
<Calendar UseRowHeadersAsSelectors="False" UseColumnHeadersAsSelectors="False" EnableWeekends="True" FastNavigationNextText="&amp;lt;&amp;lt;"></Calendar>

<DateInput DisplayDateFormat="M/d/yyyy" DateFormat="M/d/yyyy" LabelWidth="40%" AutoPostBack="True">
<EmptyMessageStyle Resize="None"></EmptyMessageStyle>

<ReadOnlyStyle Resize="None"></ReadOnlyStyle>

<FocusedStyle Resize="None"></FocusedStyle>

<DisabledStyle Resize="None"></DisabledStyle>

<InvalidStyle Resize="None"></InvalidStyle>

<HoveredStyle Resize="None"></HoveredStyle>

<EnabledStyle Resize="None"></EnabledStyle>
</DateInput>

<DatePopupButton ImageUrl="" HoverImageUrl=""></DatePopupButton>
            </telerik:RadDatePicker>
            <telerik:RadLabel ID="lblResultingGregorianDate" runat="server" Text="Resulting Gregorion Date:"></telerik:RadLabel>
            <telerik:RadTextBox ID="txtResultingGregorianDate" runat="server"></telerik:RadTextBox>
        </div>
    </form>
</body>
</html>
